<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.5.2</version>
		<relativePath />
	</parent>

	<modelVersion>4.0.0</modelVersion>
	<groupId>eu.dnetlib.dhp</groupId>
	<artifactId>dnet-applications</artifactId>
	<version>3.2.5</version>
	<packaging>pom</packaging>

	<licenses>
		<license>
			<name>GNU Affero General Public License v3.0 or later</name>
			<url>https://spdx.org/licenses/AGPL-3.0-or-later.html#licenseText</url>
			<distribution>repo</distribution>
			<comments>This program is free software: you can redistribute it and/or modify it under the terms of the
				GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the
				License, or (at your option) any later version.</comments>
		</license>
	</licenses>

	<modules>
		<module>libs</module>
		<module>apps</module>
		<module>cmd-line-apps</module>
    </modules>

	<issueManagement>
		<system>Redmine</system>
		<url>https://issue.openaire.research-infrastructures.eu/projects/openaire</url>
	</issueManagement>

	<ciManagement>
		<system>jenkins</system>
		<url>https://jenkins-dnet.d4science.org/</url>
	</ciManagement>

	<scm>
		<connection>scm:git:gitea@code-repo.d4science.org:D-Net/dnet-applications.git</connection>
		<developerConnection>scm:git:gitea@code-repo.d4science.org:D-Net/dnet-applications.git</developerConnection>
		<url>https://code-repo.d4science.org/D-Net/dnet-applications/</url>
		<tag>dnet-applications-3.2.5</tag>
	</scm>

	<description>This module is the root descriptor for the dnet-applications project</description>

	<pluginRepositories>
	</pluginRepositories>

	<repositories>
		<repository>
			<id>dnet45-releases-snapshot</id>
			<name>D-Net 45 snapshot</name>
			<url>https://maven.d4science.org/nexus/content/repositories/dnet45-snapshots</url>
			<layout>default</layout>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
		<repository>
			<id>dnet45-releases</id>
			<name>D-Net 45 releases</name>
			<url>https://maven.d4science.org/nexus/content/repositories/dnet45-releases</url>
			<layout>default</layout>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
		<repository>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<id>cloudera</id>
			<name>Cloudera Repository</name>
			<url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
		</repository>
	</repositories>

	<dependencies>

		<!-- Commons -->
		<dependency>
			<groupId>javax.validation</groupId>
			<artifactId>validation-api</artifactId>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		</dependency>

		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
		</dependency>

		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
		</dependency>

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
		</dependency>

		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-junit-jupiter</artifactId>
			<scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
			<version>2.11.1</version>
		</dependency>


	</dependencies>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.google.guava</groupId>
				<artifactId>guava</artifactId>
				<version>30.1.1-jre</version>
			</dependency>

			<dependency>
				<groupId>eu.dnetlib.dhp</groupId>
				<artifactId>dhp-schemas</artifactId>
				<version>${dhp-schemas-version}</version>
				<exclusions>
					<exclusion>
						<groupId>com.google.guava</groupId>
						<artifactId>guava</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<dependency>
				<groupId>commons-cli</groupId>
				<artifactId>commons-cli</artifactId>
				<version>1.4</version>
			</dependency>

			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>1.9</version>
			</dependency>

			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>2.10.0</version>
			</dependency>

			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1</version>
			</dependency>

			<dependency>
				<groupId>xml-apis</groupId>
				<artifactId>xml-apis</artifactId>
				<version>1.4.01</version>
			</dependency>

			<dependency>
				<groupId>jaxen</groupId>
				<artifactId>jaxen</artifactId>
				<version>1.1.6</version>
			</dependency>

			<dependency>
				<groupId>org.apache.maven</groupId>
				<artifactId>maven-model</artifactId>
				<version>3.8.1</version>
			</dependency>

			<dependency>
				<groupId>com.vladmihalcea</groupId>
				<artifactId>hibernate-types-52</artifactId>
				<version>2.9.13</version>
			</dependency>

			<!-- JAXB API, java.xml.bind module -->
			<dependency>
				<groupId>jakarta.xml.bind</groupId>
				<artifactId>jakarta.xml.bind-api</artifactId>
				<version>2.3.2</version>
			</dependency>

			<!-- JAXB Runtime, com.sun.xml.bind module -->
			<dependency>
				<groupId>org.glassfish.jaxb</groupId>
				<artifactId>jaxb-runtime</artifactId>
				<version>2.3.2</version>
			</dependency>

			<!-- Swagger -->
			<dependency>
				<groupId>io.springfox</groupId>
				<artifactId>springfox-boot-starter</artifactId>
				<version>3.0.0</version>
			</dependency>


			<!-- Hadoop -->
			<dependency>
				<groupId>org.apache.hadoop</groupId>
				<artifactId>hadoop-client</artifactId>
				<version>2.6.0-cdh5.9.2</version>
				<exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>slf4j-log4j12</artifactId>
					</exclusion>
					<exclusion>
						<groupId>javax.servlet</groupId>
						<artifactId>servlet-api</artifactId>
					</exclusion>
					<exclusion>
						<groupId>com.google.guava</groupId>
						<artifactId>guava</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.hadoop</groupId>
						<artifactId>hadoop-aws</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

		</dependencies>
	</dependencyManagement>

	<build>
		<directory>target</directory>
		<outputDirectory>target/classes</outputDirectory>
		<finalName>${project.artifactId}-${project.version}</finalName>
		<testOutputDirectory>target/test-classes</testOutputDirectory>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-project-info-reports-plugin</artifactId>
					<version>3.0.0</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-site-plugin</artifactId>
					<version>3.7.1</version>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${maven.compiler.plugin.version}</version>
					<configuration>
						<source>1.8</source>
						<target>1.8</target>
						<encoding>${project.build.sourceEncoding}</encoding>
					</configuration>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-jar-plugin</artifactId>
					<version>3.0.2</version>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-source-plugin</artifactId>
					<version>3.0.1</version>
					<executions>
						<execution>
							<id>attach-sources</id>
							<phase>verify</phase>
							<goals>
								<goal>jar-no-fork</goal>
							</goals>
						</execution>
					</executions>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>3.0.0-M4</version>
					<configuration>
						<redirectTestOutputToFile>true</redirectTestOutputToFile>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-javadoc-plugin</artifactId>
					<version>3.2.0</version>
					<configuration>
						<detectLinks>true</detectLinks>
						<doclint>none</doclint>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-dependency-plugin</artifactId>
					<version>3.0.0</version>
				</plugin>

			</plugins>
		</pluginManagement>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-site-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-project-info-reports-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5.3</version>
			</plugin>
		</plugins>

		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-ssh</artifactId>
				<version>2.10</version>
			</extension>
		</extensions>
	</build>
	<distributionManagement>
		<snapshotRepository>
			<id>dnet45-snapshots</id>
			<name>DNet45 Snapshots</name>
			<url>https://maven.d4science.org/nexus/content/repositories/dnet45-snapshots</url>
			<layout>default</layout>
		</snapshotRepository>
		<repository>
			<id>dnet45-releases</id>
			<url>https://maven.d4science.org/nexus/content/repositories/dnet45-releases</url>
		</repository>
	</distributionManagement>
	<reporting>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<configuration>
					<detectLinks>true</detectLinks>
					<doclint>none</doclint>
				</configuration>
			</plugin>
		</plugins>
	</reporting>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<maven.compiler.plugin.version>3.6.0</maven.compiler.plugin.version>
		<java.version>1.8</java.version>
		<dhp-schemas-version>2.11.33</dhp-schemas-version>
		<apache.solr.version>7.1.0</apache.solr.version>
		<mongodb.driver.version>3.4.2</mongodb.driver.version>
		<springfox-version>2.8.0</springfox-version>
		<prometheus.version>0.10.0</prometheus.version>
		<javamelody.version>1.71.0</javamelody.version>
		<maven.javadoc.failOnError>false</maven.javadoc.failOnError>
		<dockerfile-maven-version>1.3.6</dockerfile-maven-version>
	</properties>
</project>
